<p-panel header="Report Permintaan Pembelian" [toggleable]="false">
    <div *ngIf="!isview">
        <div style="margin-top: 10px; width: 100%;">
            <div class="ui-g">
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label>Tanggal Dari</label>
                        <div>
                            <p-calendar [showIcon]="true" [(ngModel)]="tgl1" dateFormat="dd-M-yy"></p-calendar>
                        </div>
                    </div>

                    <div class="ui-g-4">
                        <label>Sampai</label>
                        <div>
                            <p-calendar [showIcon]="true" [(ngModel)]="tgl2" dateFormat="dd-M-yy">
                            </p-calendar>
                        </div>
                    </div>
                    <!-- <div class="ui-g-4">
                        <label>PIC</label>
                        <div>
                            <p-dropdown [options]="pics" [(ngModel)]="selectedPIC" id="field_PIC">
                            </p-dropdown>
                        </div>
                    </div> -->
                    <div class="ui-g-4">
                        <label class="form-control-label mandatory" for="field_KdBarang">Kode Barang</label>
                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                        (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs"
                        [minLength]="1" [filter]="true" filterBy="label" field="kdBahan" 
                        placeholder="Please Select Or Insert" [dropdown]="true"
                        (onSelect)="selectBarang(true)"></p-autoComplete>
                    </div>
                    <div class="ui-g-4">
                        <label class="form-control-label mandatory" for="field_barang">Nama Barang</label>
                        <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                        (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs"
                        [minLength]="1" field="nmBahan" placeholder="Please Select Or Insert" 
                        [dropdown]="true" (onSelect)="selectBarang(true)"></p-autoComplete>
                    </div>
                    <!-- <div class="ui-g-4">
                        <label>Status</label>
                        <div>
                            <p-dropdown [options]="statuses" [(ngModel)]="selectedStatus" id="field_STS">
                            </p-dropdown>
                        </div>
                    </div> -->
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <button type="button" class="btn btn-primary btn-block" (click)="print()">
                            <span class="fa fa-print"></span>&nbsp;Print
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- <div *ngIf="isview">
        <div>
            <button pButton type="submit" label="Download Excel" icon="fa-print"
                class="ui-button-primary flat-label-button" (click)="exportExcel()">
            </button>
            <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
            </button>
        </div>
        <div>
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"></pdf-viewer>
        </div>
    </div> -->
    <div style="margin-bottom: 10px;"></div>
</p-panel>